/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "chunk.h"

void chunkCreate(chunk_t *chunk) {
  int32_t count, x, y, i;

  count = CHUNK_WIDTH * CHUNK_HEIGHT * CHUNK_DEPTH;
  chunk->batch = spriteBatchCreate(count);
}

void chunkRender(chunk_t *chunk, shader_t *shader) {
  // Coordinates of the chunk.
  float x, y, z;
  x = (chunk->x * CHUNK_WIDTH);
  y = (chunk->y * CHUNK_HEIGHT);
  z = (chunk->z * CHUNK_DEPTH);

  // Render the batch.
  shaderUsePosition(shader, x, y, z, 0, 0, 0);
  spriteBatchDraw(chunk->batch, 0, -1);
}