/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "tile.h"

tilemap_t * tileMapCreate(tileset_t *tileset) {
  tilemap_t *tilemap = malloc(sizeof(tilemap_t));
  if(tilemap == NULL) return NULL;

  tilemap->tileset = tileset;
  tilemap->tiles = calloc(tileset->columns * tileset->rows, sizeof(tile_t));

  return tilemap;
}

void tileMapDispose(tilemap_t *tilemap) {
  free(tilemap);
}